import csv
import numpy as np
import tkinter as tk
import tkinter.ttk as ttk
import matplotlib.pyplot as plt
import pandas as pd
from classes import  Channel ,Video

# plt.use('TkAgg')
# from matplotlib.backends.backend_tkagg import FigureCanvasTkAgg
# from matplotlib.figure import Figure

# csv file name
filename = "USvideos.csv"

rows = []
with open(filename, 'r', encoding="utf8") as csvfile:
    csvreader = csv.reader(csvfile)

    for row in csvreader:
        rows.append(row)

print('\nFirst 5 rows are:\n')
# for row in rows[1:5]:
#     for col in row:
#         print("%10s" % col, end=" "),
#     print('\n')


df = pd.read_csv(filename)
temp_df =  df.select_dtypes(include=['int', 'float']).copy()
# temp_df = df[['views']].copy()
selected_var = temp_df.columns
q1 = temp_df[selected_var].quantile(0.25)
q3 = df[selected_var].quantile(0.75)
iqr = q3 - q1
temp_df = temp_df[~((temp_df[selected_var] < q1 - 1.5 * iqr) | (temp_df[selected_var] > q3 + 1.5 * iqr))]
cleaned_df = temp_df.dropna()
plt.hist(cleaned_df['views'],bins = 35,alpha = 0.45, color = 'red')
# plt.xlim(50000000, 200000000)
# plt.ylim(0,50)
plt.show()